#version 330

precision highp float; // Video card drivers require this line to function properly

in vec2 uvCoord;

uniform sampler2D activeTexture1;
uniform sampler2D activeTexture2;

out vec4 fragColor;

void main(void)
{
	vec4 textureColor1 = texture(activeTexture1, uvCoord);
	vec4 textureColor2 = texture(activeTexture2, uvCoord);
	
	vec4 final = clamp( textureColor1 + textureColor2, 0.0, 1.0);
	fragColor = final;
}
