#version 330

precision highp float; // Video card drivers require this line to function properly

in vec2 uvCoord;

uniform sampler2D activeTexture;

out vec4 fragColor;

void main(void)
{
	vec4 textureColor = texture(activeTexture, uvCoord);
	float r = textureColor.r;
	float g = textureColor.g;
	float b = textureColor.b;
	bvec3 checks = bvec3(r>0.9, g>0.9, b>0.9);
	if(any(checks)) fragColor = textureColor;
	else fragColor = vec4(0.0, 0.0, 0.0, 1.0);	
}
