#version 330

precision highp float; // Video card drivers require this line to function properly

in vec4 position;

out vec4 fragColor;

void main(void)
{
	float depth = position.z / position.w;
	
	// Don't forget to move away from unit cube ([-1,1]) to [0,1] coordinate system
	depth = depth*0.5 + 0.5;

	// store first and second moment into shadow map
	float m1 = depth;
	float dx = dFdx(depth);
	float dy = dFdy(depth);
	float m2 = (depth*depth)+0.25*(dx*dx + dy*dy);
	fragColor = vec4(m1, m2, 0.0, 1.0); //alpha 1 just for debugging
}
