#version 330

precision highp float; // Video card drivers require this line to function properly

in vec2 uvCoord;

uniform sampler2D activeTexture;
uniform sampler2D noiseTexture;
uniform int noiseRand;

out vec4 fragColor;

void main(void)
{
	vec4 textureColor = texture(activeTexture, uvCoord);
	
	fragColor = textureColor;
	
	// apply some hacky NOISE
	float noiseAmount = 0.08; // 8% of noise look good
	float noiseSize = 0.5;
	vec2 noiseLookup = (uvCoord + noiseRand/100.0) / noiseSize;
	vec3 noiseValues = texture(noiseTexture, noiseLookup).rgb * noiseAmount;
	fragColor = vec4 (fragColor.rgb + noiseValues.g, 1.0);
}
