#version 330

in vec3 in_Position;
in vec3 in_Normal;
in vec2 in_TexCoord;

uniform mat4 normalMatrix;
uniform mat4 modelMatrix;
uniform mat4 viewMatrix;
uniform mat4 modelViewMatrix;
uniform mat4 modelViewProjectionMatrix;

uniform mat4 lightModelViewProjectionMatrix;

uniform vec3 lightPosition;

out vec4 viewspaceNormal;
out vec4 viewspacePosition;
out vec4 eyeVector;
out vec3 minusLightDir;
out vec2 texCoord;

out vec4 lightSpacePosition;

void main(void)
{
	viewspaceNormal = normalMatrix * vec4(in_Normal, 0.0);
	viewspacePosition = modelViewMatrix * vec4(in_Position.x, in_Position.y, in_Position.z, 1.0);
	eyeVector = (-1.0) * viewspacePosition;
	vec3 viewspaceLightposition = vec3(viewMatrix * vec4(lightPosition, 1.0));
	minusLightDir = viewspaceLightposition - viewspacePosition.xyz;
	texCoord = in_TexCoord;

	lightSpacePosition = lightModelViewProjectionMatrix * vec4(in_Position.x, in_Position.y, in_Position.z, 1.0);

	gl_Position = modelViewProjectionMatrix * vec4(in_Position.x, in_Position.y, in_Position.z, 1.0);
}
